<ion-menu [content]="mycontent">
  <ion-header>
    <ion-toolbar>
      <ion-title>{{ "menu.title" | translate }}</ion-title>
    </ion-toolbar>
  </ion-header>

  <ion-content>
    <ion-list no-lines>
      <ion-item-group *ngFor="let pageGroup of pageGroups">
        <ion-list-header *ngIf="pageGroup.name">
          {{ pageGroup.name | translate }}
        </ion-list-header>

        <button
          ion-item
          *ngFor="let page of pageGroup.pages"
          (click)="openPage(page)"
          [color]="isActive(page)"
        >
          <ion-icon [name]="page.icon" item-start></ion-icon>
          {{ page.title | translate }}
        </button>
      </ion-item-group>
    </ion-list>
  </ion-content>
</ion-menu>

<ion-nav #mycontent [root]="rootPage"></ion-nav>
